class GeoffreyAppRouter:
    """
    A router to control all database operations on models in GeoffreyApp
    """
    def db_for_read(self, model, **hints):
        """
        Attempts to read GeoffreyApp models go to GeoffreyApp database.
        """
        if model._meta.app_label == 'GeoffreyApp':
            return 'GeoffreyApp'
        return None

    def db_for_write(self, model, **hints):
        """
        Attempts to write GeoffreyApp models go to GeoffreyApp database.
        """
        if model._meta.app_label == 'GeoffreyApp':
            return 'GeoffreyApp'
        return None

    def allow_relation(self, obj1, obj2, **hints):
        """
        Allow relations if a model in the GeoffreyApp is involved.
        """
        if obj1._meta.app_label == 'GeoffreyApp' or \
           obj2._meta.app_label == 'GeoffreyApp':
           return True
        return None

    def allow_migrate(self, db, app_label, model_name=None, **hints):
        """
        Make sure the GeoffreyApp only appears in the 'GeoffreyApp'
        database.
        """
        if app_label == 'GeoffreyApp':
            return db == 'GeoffreyApp'
        return None
