from django.conf.urls import url
from django.urls import path, include
from GeoffreyApp import views

urlpatterns = [
    url(r'^home/$', views.Home.as_view(), name='GeoffreyHome'),
    url(r'^player/$', views.PlayerList.as_view(), name='GeoffreyPlayers'),
    url(r'^player/(?P<id>[0-9]{1,9})/$', views.PlayerInfo.as_view(), name='GeoffreyPlayerInfo'),
    url(r'^shops/$', views.ShopList.as_view(), name='GeoffreyShops'),
    url(r'^shops/(?P<id>[0-9]{1,9})/$', views.ShopInfo.as_view(), name='GeoffreyShopInfo'),
    url(r'^bases/$', views.BaseList.as_view(), name='GeoffreyBases'),
    url(r'^bases/(?P<id>[0-9]{1,9})/$', views.BaseInfo.as_view(), name='GeoffreyBaseInfo'),
    url(r'^towns/$', views.TownList.as_view(), name='GeoffreyTowns'),
    url(r'^towns/(?P<id>[0-9]{1,9})/$', views.TownInfo.as_view(), name='GeoffreyTownInfo'),
    url(r'^items/$', views.ItemListingList.as_view(), name='GeoffreyItems'),
    url(r'^search/$', views.SearchList.as_view(), name='GeoffreySearch'),
    url(r'^farms/$', views.PublicFarmList.as_view(), name='GeoffreyPublicFarms'),
    url(r'^farms/(?P<id>[0-9]{1,9})/$', views.PublicFarmInfo.as_view(), name='GeoffreyPublicFarmInfo'),
    url(r'^markets/$', views.MarketList.as_view(), name='GeoffreyMarkets'),
    url(r'^markets/(?P<id>[0-9]{1,9})/$', views.MarketInfo.as_view(), name='GeoffreyMarketInfo'),
    url(r'^pointofinterest/$', views.PointOfInterestList.as_view(), name='GeoffreyPointOfInterest'),
    url(r'^pointofinterest/(?P<id>[0-9]{1,9})/$', views.PointOfInterestInfo.as_view(),
        name='GeoffreyPointOfInterestInfo'),
    url(r'^attraction/$', views.AttractionList.as_view(), name='GeoffreyAttraction'),
    url(r'^attraction/(?P<id>[0-9]{1,9})/$', views.AttractionInfo.as_view(),
        name='GeoffreyAttractionInfo'),
    path('api/', include('GeoffreyApp.api.urls')),
]

